# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Mar 24 12:59:04 2023
# ------------------------------------------------

package:
  name: librsvg
  version: 2.54.4
source:
  patches:
    - patches/0001_add_rust_lto.patch
  sha256: ea152a243f6a43c0e036a28c70de3fcbcdea5664c6811c78592bc229ecc24833
  url: https://download.gnome.org/sources/librsvg/2.54/librsvg-2.54.4.tar.xz
build:
  missing_dso_whitelist:
    - '**/ld-linux-x86-64.so.2'
    - '**/ld64.so.1'
    - '**/libc.so.6'
    - '**/libdl.so.2'
    - '**/libm.so.6'
    - '**/libpthread.so.0'
    - '**/librt.so.1'
  number: '3'
  run_exports:
    - librsvg >=2.54.4,<3.0a0
  string: h36cc946_3
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - autoconf 2.71 pl5340h5eee18b_0
    - automake 1.16.5 pl5340h06a4308_1
    - binutils 2.38 h1680402_1
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - docutils 0.18.1 py311h06a4308_3
    - gawk 5.1.0 h7b6447c_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gdbm 1.18 hd4cb3f1_4
    - gettext 0.21.0 h39681ba_1
    - gi-docgen 2022.1 py311h06a4308_0
    - glib 2.69.1 he621ea3_2
    - gnuconfig 2021.05.24 hd3eb1b0_0
    - gobject-introspection 1.72.0 py311hbb6d50b_2
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - icu 58.2 he6710b0_3
    - jinja2 3.1.2 py311h06a4308_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtool 2.4.6 h6a678d5_1009
    - libuuid 1.41.5 h5eee18b_0
    - libx11-common-cos6-x86_64 1.6.4 4
    - libx11-cos6-x86_64 1.6.4 4
    - libx11-devel-cos6-x86_64 1.6.4 4
    - libxau-cos6-x86_64 1.0.6 4
    - libxau-devel-cos6-x86_64 1.0.6 4
    - libxext-cos6-x86_64 1.3.3 4
    - libxext-devel-cos6-x86_64 1.3.3 4
    - libxml2 2.10.3 hcbfbd50_0
    - libxrender-cos6-x86_64 0.9.10 4
    - libxrender-devel-cos6-x86_64 0.9.10 4
    - m4 1.4.18 h4e445db_0
    - make 4.2.1 h1bed415_1
    - markdown 3.4.1 py311h06a4308_0
    - markupsafe 2.1.1 py311h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1t h7f8727e_0
    - patch 2.7.6 h7b6447c_1001
    - pcre 8.45 h295c915_0
    - perl 5.34.0 h5eee18b_2
    - pkg-config 0.29.2 h1bed415_8
    - pthread-stubs 0.3 h0ce48e5_1
    - pygments 2.11.2 pyhd3eb1b0_0
    - python 3.11.0 h7a1cb2a_3
    - readline 8.2 h5eee18b_0
    - rust 1.64.0 h06a4308_0
    - rust_linux-64 1.64.0 h6a678d5_1
    - sed 4.8 h7b6447c_0
    - smartypants 2.0.1 py311h06a4308_0
    - sqlite 3.41.1 h5eee18b_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - toml 0.10.2 pyhd3eb1b0_0
    - typogrify 2.0.7 py311h06a4308_0
    - tzdata 2022g h04d1e81_0
    - xorg-x11-proto-devel-cos6-x86_64 7.7 4
    - xorg-x11-util-macros-cos6-x86_64 1.19.0 4
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - cairo 1.16.0 hb05425b_4
    - expat 2.4.9 h6a678d5_0
    - fontconfig 2.14.1 h4c34cd2_2
    - freetype 2.10.4 h5ab3b9f_0
    - fribidi 1.0.10 h7b6447c_0
    - gdk-pixbuf 2.42.10 h5eee18b_0
    - glib 2.69.1 he621ea3_2
    - gobject-introspection 1.72.0 py311hbb6d50b_2
    - graphite2 1.3.14 h295c915_1
    - harfbuzz 4.3.0 hf52aaf7_1
    - icu 58.2 he6710b0_3
    - jpeg 9e h5eee18b_1
    - ld_impl_linux-64 2.38 h1181459_1
    - lerc 3.0 h295c915_0
    - libdeflate 1.17 h5eee18b_0
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libpng 1.6.39 h5eee18b_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtiff 4.5.0 h6a678d5_2
    - libuuid 1.41.5 h5eee18b_0
    - libwebp-base 1.2.4 h5eee18b_1
    - libxcb 1.15 h7f8727e_0
    - libxml2 2.10.3 hcbfbd50_0
    - libzip 1.8.0 h5cef20c_0
    - lz4-c 1.9.4 h6a678d5_0
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1t h7f8727e_0
    - pango 1.50.7 h05da053_0
    - pcre 8.45 h295c915_0
    - pixman 0.40.0 h7f8727e_1
    - python 3.11.0 h7a1cb2a_3
    - readline 8.2 h5eee18b_0
    - sqlite 3.41.1 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022g h04d1e81_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.2 ha4553b6_0
  run:
    - cairo >=1.16.0,<2.0a0
    - fontconfig >=2.14.1,<3.0a0
    - freetype >=2.10.4,<3.0a0
    - gdk-pixbuf >=2.42.10,<3.0a0
    - glib >=2.69.1,<3.0a0
    - harfbuzz >=4.3.0,<5.0a0
    - libdeflate >=1.17,<1.18.0a0
    - libgcc-ng >=11.2.0
    - libpng >=1.6.39,<1.7.0a0
    - libxml2 >=2.10.3,<2.11.0a0
    - pango >=1.50.7,<2.0a0
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - rsvg-convert --version
    - test -f $PREFIX/lib/librsvg-2${SHLIB_EXT}
    - test ! -f $PREFIX/lib/librsvg-2.a
    - test -f `pkg-config --variable=libdir --dont-define-prefix librsvg-2.0`/librsvg-2${SHLIB_EXT}
    - test -f $PREFIX/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
    - test ! -f $PREFIX/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.a
    - test -f $PREFIX/include/librsvg-2.0/librsvg/rsvg-features.h
    - test -f $PREFIX/include/librsvg-2.0/librsvg/rsvg-cairo.h
    - test -f $PREFIX/include/librsvg-2.0/librsvg/rsvg.h
    - test -f $PREFIX/lib/girepository-1.0/Rsvg-2.0.typelib
  requires:
    - pkg-config
about:
  description: 'Librsvg is a small library to render Scalable Vector Graphics

    (SVG), associated with the GNOME Project.  It renders

    SVG files to Cairo surfaces.  Cairo is the 2D, antialiased

    drawing library that GNOME uses to draw things to the screen or to

    generate output for printing.

    '
  dev_url: https://gitlab.gnome.org/GNOME/librsvg
  doc_url: https://gnome.pages.gitlab.gnome.org/librsvg/doc/rsvg/index.html
  home: https://wiki.gnome.org/Projects/LibRsvg
  license: LGPL-2.1-or-later
  license_family: LGPL
  license_file: COPYING.LIB
  summary: librsvg is a library to render SVG files using cairo.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: b45268c0-b97b-465b-9afb-9c26e24da667
  recipe-maintainers:
    - pkgw
    - tschoonj
  remote_url: git@github.com:AnacondaRecipes/librsvg-feedstock.git
  sha: 29473550b86548422a67c3040b800c4d971884f4
